Home page logo
/

metasploit logo Metasploit mailing list archives

ruby-lorcon build problem
From: hdm at metasploit.com (H D Moore)
Date: Tue, 20 Mar 2007 10:57:22 -0500

There was an API change in lorcon, should be updates to the ruby-lorcon 
module very soon. 

-HD

On Tuesday 20 March 2007 10:49, Andrew Sussex wrote:
I've installed Lorcon from SVN but ruby-lorcon refuses to build:

ruby-lorcon# ruby extconf.rb
checking for tx80211_txpacket() in -lorcon... no
Error: the lorcon library was not found, please see the README
ruby-lorcon#

The log file looks like this:

have_library: checking for tx80211_txpacket() in -lorcon...
-------------------- no

"gcc -o conftest -I. -I/usr/lib/ruby/1.8/i486-linux -I.  -Wall -g
-fno-strict-aliasing -O2  -fPIC conftest.c  -L"/usr/lib"  -rdynamic
-Wl,-export-dynamic     -lruby1.8-static -lorcon  -lpthread -ldl
-lcrypt -lm   -lc"



  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault